/*
 * Copyright (c) 2014, AllSeen Alliance. All rights reserved.
 *
 *    Permission to use, copy, modify, and/or distribute this software for any
 *    purpose with or without fee is hereby granted, provided that the above
 *    copyright notice and this permission notice appear in all copies.
 *
 *    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 *    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 *    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 *    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 *    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class org_allseen_lsf_LampGroupManager */

#ifndef _Included_org_allseen_lsf_LampGroupManager
#define _Included_org_allseen_lsf_LampGroupManager
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    getAllLampGroupIDs
 * Signature: ()Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_getAllLampGroupIDs
  (JNIEnv *, jobject);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    getLampGroupName
 * Signature: (Ljava/lang/String;Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_getLampGroupName
  (JNIEnv *, jobject, jstring, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    setLampGroupName
 * Signature: (Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_setLampGroupName
  (JNIEnv *, jobject, jstring, jstring, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    createLampGroup
 * Signature: (Lorg/allseen/lsf/LampGroup;Ljava/lang/String;Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_createLampGroup
  (JNIEnv *, jobject, jobject, jstring, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    updateLampGroup
 * Signature: (Ljava/lang/String;Lorg/allseen/lsf/LampGroup;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_updateLampGroup
  (JNIEnv *, jobject, jstring, jobject);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    getLampGroup
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_getLampGroup
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    deleteLampGroup
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_deleteLampGroup
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    transitionLampGroupState
 * Signature: (Ljava/lang/String;Lorg/allseen/lsf/LampState;J)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_transitionLampGroupState
  (JNIEnv *, jobject, jstring, jobject, jlong);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    pulseLampGroupWithState
 * Signature: (Ljava/lang/String;Lorg/allseen/lsf/LampState;JJJLorg/allseen/lsf/LampState;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_pulseLampGroupWithState
  (JNIEnv *, jobject, jstring, jobject, jlong, jlong, jlong, jobject);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    pulseLampGroupWithPreset
 * Signature: (Ljava/lang/String;Ljava/lang/String;JJJLjava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_pulseLampGroupWithPreset
  (JNIEnv *, jobject, jstring, jstring, jlong, jlong, jlong, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    transitionLampGroupStateOnOffField
 * Signature: (Ljava/lang/String;Z)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_transitionLampGroupStateOnOffField
  (JNIEnv *, jobject, jstring, jboolean);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    transitionLampGroupStateHueField
 * Signature: (Ljava/lang/String;JJ)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_transitionLampGroupStateHueField
  (JNIEnv *, jobject, jstring, jlong, jlong);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    transitionLampGroupStateSaturationField
 * Signature: (Ljava/lang/String;JJ)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_transitionLampGroupStateSaturationField
  (JNIEnv *, jobject, jstring, jlong, jlong);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    transitionLampGroupStateBrightnessField
 * Signature: (Ljava/lang/String;JJ)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_transitionLampGroupStateBrightnessField
  (JNIEnv *, jobject, jstring, jlong, jlong);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    transitionLampGroupStateColorTempField
 * Signature: (Ljava/lang/String;JJ)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_transitionLampGroupStateColorTempField
  (JNIEnv *, jobject, jstring, jlong, jlong);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    transitionLampGroupStateToPreset
 * Signature: (Ljava/lang/String;Ljava/lang/String;J)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_transitionLampGroupStateToPreset
  (JNIEnv *, jobject, jstring, jstring, jlong);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    resetLampGroupState
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_resetLampGroupState
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    resetLampGroupStateOnOffField
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_resetLampGroupStateOnOffField
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    resetLampGroupStateHueField
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_resetLampGroupStateHueField
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    resetLampGroupStateSaturationField
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_resetLampGroupStateSaturationField
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    resetLampGroupStateBrightnessField
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_resetLampGroupStateBrightnessField
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    resetLampGroupStateColorTempField
 * Signature: (Ljava/lang/String;)Lorg/allseen/lsf/ControllerClientStatus;
 */
JNIEXPORT jobject JNICALL Java_org_allseen_lsf_LampGroupManager_resetLampGroupStateColorTempField
  (JNIEnv *, jobject, jstring);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    createNativeObject
 * Signature: (Lorg/allseen/lsf/ControllerClient;Lorg/allseen/lsf/LampGroupManagerCallback;)V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_LampGroupManager_createNativeObject
  (JNIEnv *, jobject, jobject, jobject);

/*
 * Class:     org_allseen_lsf_LampGroupManager
 * Method:    destroyNativeObject
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_org_allseen_lsf_LampGroupManager_destroyNativeObject
  (JNIEnv *, jobject);

#ifdef __cplusplus
}
#endif
#endif
